Package twisted :: Package python :: Module util :: Class LineLog

[frames | no frames]

## Class LineLog

A limited-size line-based log, useful for logging line-based protocols such as SMTP.

When the log fills up, old entries drop off the end.

Method Summary
| ``__init__`(self, size)` Create a new log, with size lines of storage (default 10).
| `__getitem__(self, item)`
| `append(self, line)`
| ``clear`(self)` Empty the log
| `str(self)`

Method Details

### __init__(self, size=10)
(Constructor)

Create a new log, with size lines of storage (default 10). A log size of 0 (or less) means an infinite log.

### clear(self)

Empty the log

Generated by Epydoc 2.0 on Sat May 15 20:08:48 2004 | http://epydoc.sf.net